Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.portal
Class PortalIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<PortalID>
              com.bea.portal.tools.portal.portal.PortalIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class PortalIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<PortalID>

Builds and parses `PortalID`.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`PortalIDBuilder()` Constructor.

Method Summary
`PortalID` | `createResourceID()` Create the `PortalDefinitionsID`.
`PortalPath` | `getPortalPath()` Get the `PortalPath`.
`String` | `getWebapp()` webapp getter
`PortalIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`PortalIDBuilder` | `setPortalPath(PortalPath portalPath)` Change the `PortalPath`.
`PortalIDBuilder` | `setWebapp(String webapp)` webapp setter

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalIDBuilder

    public PortalIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public PortalIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN. resourceURN the URN of the referrent resource this `PortalDefinitionsIDBuilder`

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<PortalID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `ResourceIDBuilder`

### getPortalPath

    public PortalPath getPortalPath()

  Get the `PortalPath`.

  Returns
    the `PortalPath`

### setPortalPath

    public PortalIDBuilder setPortalPath(PortalPath portalPath)

  Change the `PortalPath`.

  Parameters
    `portalPath` - the `PortalPath`
  Returns
    this `PortalDefinitionIDBuilder`

### getWebapp

    public String getWebapp()

  webapp getter

### setWebapp

    public PortalIDBuilder setWebapp(String webapp)

  webapp setter

### createResourceID

    public PortalID createResourceID()

  Create the `PortalDefinitionsID`. the `PortalDefinitionsID`

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<PortalID>`
  Returns
    the `ResourceID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.